Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractNode

    java.lang.Object
      org.apache.batik.dom.AbstractNode

All Implemented Interfaces:
  org.w3c.dom.events.EventTarget, ExtendedNode, org.w3c.dom.Node, NodeEventTarget, java.io.Serializable

Direct Known Subclasses:
  AbstractChildNode, AbstractNotation, AbstractParentNode

public abstract class AbstractNode
extends java.lang.Object
implements ExtendedNode, java.io.Serializable

This class implements the `Node` interface.

See Also:
  Serialized Form

Field Summary
`protected static org.w3c.dom.NodeList` | `EMPTY_NODE_LIST` An empty instance of NodeList.
`protected EventSupport` | `eventSupport` The event support.
`protected AbstractDocument` | `ownerDocument` The owner document.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`AbstractNode()`

Method Summary
`void` | `addEventListener(java.lang.String type, org.w3c.dom.events.EventListener listener, boolean useCapture)` DOM: Implements `EventTarget#addEventListener(String,EventListener,boolean)`.
`org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node newChild)` DOM: Implements `Node.appendChild(Node)`.
`protected void` | `checkChildType(org.w3c.dom.Node n, boolean replace)` Checks the validity of a node to be inserted.
`org.w3c.dom.Node` | `cloneNode(boolean deep)` DOM: Implements `Node.cloneNode(boolean)`.
`protected org.w3c.dom.Node` | `copyInto(org.w3c.dom.Node n)` Copy the fields of the current node into the given node.
`org.w3c.dom.DOMException` | `createDOMException(short type, java.lang.String key, java.lang.Object[] args)` Creates an exception with the appropriate error message.
`protected org.w3c.dom.Node` | `deepCopyInto(org.w3c.dom.Node n)` Deeply copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` | `deepExport(org.w3c.dom.Node n, AbstractDocument d)` Deeply exports this node to the given document.
`boolean` | `dispatchEvent(org.w3c.dom.events.Event evt)` DOM: Implements `EventTarget.dispatchEvent(Event)`.
`protected org.w3c.dom.Node` | `export(org.w3c.dom.Node n, AbstractDocument d)` Exports this node to the given document.
`protected void` | `fireDOMCharacterDataModifiedEvent(java.lang.String oldv, java.lang.String newv)` Fires a DOMCharacterDataModified event.
`void` | `fireDOMNodeInsertedIntoDocumentEvent()` Recursively fires a DOMNodeInsertedIntoDocument event.
`void` | `fireDOMNodeRemovedFromDocumentEvent()` Recursively fires a DOMNodeRemovedFromDocument event.
`org.w3c.dom.NamedNodeMap` | `getAttributes()` DOM: Implements `Node.getAttributes()`.
`org.w3c.dom.NodeList` | `getChildNodes()` DOM: Implements `Node.getChildNodes()`.
`protected AbstractDocument` | `getCurrentDocument()` Returns the current document.
`EventSupport` | `getEventSupport()` Returns the event support instance for this node, or null if any.
`org.w3c.dom.Node` | `getFirstChild()` DOM: Implements `Node.getFirstChild()`.
`org.w3c.dom.Node` | `getLastChild()` DOM: Implements `Node.getLastChild()`.
`java.lang.String` | `getLocalName()` DOM: Implements `Node.getLocalName()`.
`java.lang.String` | `getNamespaceURI()` DOM: Implements `Node.getNamespaceURI()`.
`org.w3c.dom.Node` | `getNextSibling()` DOM: Implements `Node.getNextSibling()`.
`java.lang.String` | `getNodeValue()` DOM: Implements `Node.getNodeValue()`.
`org.w3c.dom.Document` | `getOwnerDocument()` DOM: Implements `Node.getOwnerDocument()`.
`org.w3c.dom.Node` | `getParentNode()` DOM: Implements `Node.getParentNode()`.
`NodeEventTarget` | `getParentNodeEventTarget()` Implements `NodeEventTarget.getParentNodeEventTarget()`.
`java.lang.String` | `getPrefix()` DOM: Implements `Node.getPrefix()`.
`org.w3c.dom.Node` | `getPreviousSibling()` DOM: Implements `Node.getPreviousSibling()`.
`boolean` | `hasAttributes()` DOM: Implements `Node.hasAttributes()`.
`boolean` | `hasChildNodes()` DOM: Implements `Node.hasChildNodes()`.
`org.w3c.dom.Node` | `insertBefore(org.w3c.dom.Node newChild, org.w3c.dom.Node refChild)` DOM: Implements `Node.insertBefore(Node, Node)`.
`boolean` | `isSupported(java.lang.String feature, java.lang.String version)` DOM: Implements `Node.isSupported(String,String)`.
`protected abstract org.w3c.dom.Node` | `newNode()` Returns a new uninitialized instance of this object's class.
`void` | `normalize()` DOM: Implements `Node.normalize()`.
`org.w3c.dom.Node` | `removeChild(org.w3c.dom.Node oldChild)` DOM: Implements `Node.removeChild(Node)`.
`void` | `removeEventListener(java.lang.String type, org.w3c.dom.events.EventListener listener, boolean useCapture)` DOM: Implements `EventTarget#removeEventListener(String,EventListener,boolean)`.
`org.w3c.dom.Node` | `replaceChild(org.w3c.dom.Node newChild, org.w3c.dom.Node oldChild)` DOM: Implements `Node.replaceChild(Node, Node)`.
`void` | `setNextSibling(org.w3c.dom.Node n)` Sets the node immediately following this node.
`void` | `setNodeName(java.lang.String v)` Sets the name of this node.
`void` | `setNodeValue(java.lang.String nodeValue)` DOM: Implements `Node.setNodeValue(String)`.
`void` | `setOwnerDocument(org.w3c.dom.Document doc)` Sets the owner document of this node.
`void` | `setParentNode(org.w3c.dom.Node v)` Sets the parent node.
`void` | `setPrefix(java.lang.String prefix)` DOM: Implements `Node.setPrefix(String)`.
`void` | `setPreviousSibling(org.w3c.dom.Node n)` Sets the node immediately preceding this node.
`void` | `setSpecified(boolean v)` Sets the value of the specified attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.dom.ExtendedNode
`isReadonly, setReadonly`

Methods inherited from interface org.w3c.dom.Node
`getNodeName, getNodeType`

Field Detail

### EMPTY_NODE_LIST

    protected static final org.w3c.dom.NodeList EMPTY_NODE_LIST

  An empty instance of NodeList.

### ownerDocument

    protected AbstractDocument ownerDocument

  The owner document.

### eventSupport

    protected transient EventSupport eventSupport

  The event support.

Constructor Detail

### AbstractNode

    public AbstractNode()

Method Detail

### setNodeName

    public void setNodeName(java.lang.String v)

  Sets the name of this node. Do nothing.

  Specified by:
    `setNodeName` in interface `ExtendedNode`

### setOwnerDocument

    public void setOwnerDocument(org.w3c.dom.Document doc)

  Sets the owner document of this node.

  Specified by:
    `setOwnerDocument` in interface `ExtendedNode`

### setSpecified

    public void setSpecified(boolean v)

  Sets the value of the specified attribute. This method only applies to Attr objects.

  Specified by:
    `setSpecified` in interface `ExtendedNode`

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws org.w3c.dom.DOMException

  DOM: Implements `Node.getNodeValue()`.

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Returns:
    null.
  Throws:
    `org.w3c.dom.DOMException`

### setNodeValue

    public void setNodeValue(java.lang.String nodeValue)
                      throws org.w3c.dom.DOMException

  DOM: Implements `Node.setNodeValue(String)`. Do nothing.

  Specified by:
    `setNodeValue` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### getParentNode

    public org.w3c.dom.Node getParentNode()

  DOM: Implements `Node.getParentNode()`.

  Specified by:
    `getParentNode` in interface `org.w3c.dom.Node`
  Returns:
    null.

### setParentNode

    public void setParentNode(org.w3c.dom.Node v)

  Sets the parent node. Throws a HIERARCHY_REQUEST_ERR `DOMException`.

  Specified by:
    `setParentNode` in interface `ExtendedNode`

### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

  DOM: Implements `Node.getChildNodes()`.

  Specified by:
    `getChildNodes` in interface `org.w3c.dom.Node`
  Returns:
    `EMPTY_NODE_LIST`.

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  DOM: Implements `Node.getFirstChild()`.

  Specified by:
    `getFirstChild` in interface `org.w3c.dom.Node`
  Returns:
    null.

### getLastChild

    public org.w3c.dom.Node getLastChild()

  DOM: Implements `Node.getLastChild()`.

  Specified by:
    `getLastChild` in interface `org.w3c.dom.Node`
  Returns:
    null.

### setPreviousSibling

    public void setPreviousSibling(org.w3c.dom.Node n)

  Sets the node immediately preceding this node. Throws a HIERARCHY_REQUEST_ERR `DOMException`.

  Specified by:
    `setPreviousSibling` in interface `ExtendedNode`

### getPreviousSibling

    public org.w3c.dom.Node getPreviousSibling()

  DOM: Implements `Node.getPreviousSibling()`.

  Specified by:
    `getPreviousSibling` in interface `org.w3c.dom.Node`
  Returns:
    null.

### setNextSibling

    public void setNextSibling(org.w3c.dom.Node n)

  Sets the node immediately following this node. Throws a HIERARCHY_REQUEST_ERR `DOMException`.

  Specified by:
    `setNextSibling` in interface `ExtendedNode`

### getNextSibling

    public org.w3c.dom.Node getNextSibling()

  DOM: Implements `Node.getNextSibling()`.

  Specified by:
    `getNextSibling` in interface `org.w3c.dom.Node`
  Returns:
    null.

### hasAttributes

    public boolean hasAttributes()

  DOM: Implements `Node.hasAttributes()`.

  Specified by:
    `hasAttributes` in interface `org.w3c.dom.Node`
  Returns:
    false.

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  DOM: Implements `Node.getAttributes()`.

  Specified by:
    `getAttributes` in interface `org.w3c.dom.Node`
  Returns:
    null.

### getOwnerDocument

    public org.w3c.dom.Document getOwnerDocument()

  DOM: Implements `Node.getOwnerDocument()`.

  Specified by:
    `getOwnerDocument` in interface `org.w3c.dom.Node`
  Returns:
    `ownerDocument`.

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  DOM: Implements `Node.getNamespaceURI()`.

  Specified by:
    `getNamespaceURI` in interface `org.w3c.dom.Node`
  Returns:
    null.

### insertBefore

    public org.w3c.dom.Node insertBefore(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node refChild)
                                  throws org.w3c.dom.DOMException

  DOM: Implements `Node.insertBefore(Node, Node)`. Throws a HIERARCHY_REQUEST_ERR `DOMException`.

  Specified by:
    `insertBefore` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### replaceChild

    public org.w3c.dom.Node replaceChild(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node oldChild)
                                  throws org.w3c.dom.DOMException

  DOM: Implements `Node.replaceChild(Node, Node)`. Throws a HIERARCHY_REQUEST_ERR `DOMException`.

  Specified by:
    `replaceChild` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### removeChild

    public org.w3c.dom.Node removeChild(org.w3c.dom.Node oldChild)
                                 throws org.w3c.dom.DOMException

  DOM: Implements `Node.removeChild(Node)`. Throws a HIERARCHY_REQUEST_ERR `DOMException`.

  Specified by:
    `removeChild` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node newChild)
                                 throws org.w3c.dom.DOMException

  DOM: Implements `Node.appendChild(Node)`. Throws a HIERARCHY_REQUEST_ERR `DOMException`.

  Specified by:
    `appendChild` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### hasChildNodes

    public boolean hasChildNodes()

  DOM: Implements `Node.hasChildNodes()`.

  Specified by:
    `hasChildNodes` in interface `org.w3c.dom.Node`
  Returns:
    false.

### cloneNode

    public org.w3c.dom.Node cloneNode(boolean deep)

  DOM: Implements `Node.cloneNode(boolean)`.

  Specified by:
    `cloneNode` in interface `org.w3c.dom.Node`

### normalize

    public void normalize()

  DOM: Implements `Node.normalize()`. Do nothing.

  Specified by:
    `normalize` in interface `org.w3c.dom.Node`

### isSupported

    public boolean isSupported(java.lang.String feature,
                               java.lang.String version)

  DOM: Implements `Node.isSupported(String,String)`.

  Specified by:
    `isSupported` in interface `org.w3c.dom.Node`

### getPrefix

    public java.lang.String getPrefix()

  DOM: Implements `Node.getPrefix()`.

  Specified by:
    `getPrefix` in interface `org.w3c.dom.Node`

### setPrefix

    public void setPrefix(java.lang.String prefix)
                   throws org.w3c.dom.DOMException

  DOM: Implements `Node.setPrefix(String)`.

  Specified by:
    `setPrefix` in interface `org.w3c.dom.Node`
  Throws:
    `org.w3c.dom.DOMException`

### getLocalName

    public java.lang.String getLocalName()

  DOM: Implements `Node.getLocalName()`.

  Specified by:
    `getLocalName` in interface `org.w3c.dom.Node`

### createDOMException

    public org.w3c.dom.DOMException createDOMException(short type,
                                                       java.lang.String key,
                                                       java.lang.Object[] args)

  Creates an exception with the appropriate error message.

### addEventListener

    public void addEventListener(java.lang.String type,
                                 org.w3c.dom.events.EventListener listener,
                                 boolean useCapture)

  DOM: Implements `EventTarget#addEventListener(String,EventListener,boolean)`.

  Specified by:
    `addEventListener` in interface `org.w3c.dom.events.EventTarget`

### removeEventListener

    public void removeEventListener(java.lang.String type,
                                    org.w3c.dom.events.EventListener listener,
                                    boolean useCapture)

  DOM: Implements `EventTarget#removeEventListener(String,EventListener,boolean)`.

  Specified by:
    `removeEventListener` in interface `org.w3c.dom.events.EventTarget`

### getParentNodeEventTarget

    public NodeEventTarget getParentNodeEventTarget()

  Implements `NodeEventTarget.getParentNodeEventTarget()`.

  Specified by:
    `getParentNodeEventTarget` in interface `NodeEventTarget`

### dispatchEvent

    public boolean dispatchEvent(org.w3c.dom.events.Event evt)
                          throws org.w3c.dom.events.EventException

  DOM: Implements `EventTarget.dispatchEvent(Event)`.

  Specified by:
    `dispatchEvent` in interface `org.w3c.dom.events.EventTarget`
  Throws:
    `org.w3c.dom.events.EventException`

### getEventSupport

    public EventSupport getEventSupport()

  Returns the event support instance for this node, or null if any.

  Specified by:
    `getEventSupport` in interface `NodeEventTarget`

### fireDOMNodeInsertedIntoDocumentEvent

    public void fireDOMNodeInsertedIntoDocumentEvent()

  Recursively fires a DOMNodeInsertedIntoDocument event.

### fireDOMNodeRemovedFromDocumentEvent

    public void fireDOMNodeRemovedFromDocumentEvent()

  Recursively fires a DOMNodeRemovedFromDocument event.

### fireDOMCharacterDataModifiedEvent

    protected void fireDOMCharacterDataModifiedEvent(java.lang.String oldv,
                                                     java.lang.String newv)

  Fires a DOMCharacterDataModified event.

### getCurrentDocument

    protected AbstractDocument getCurrentDocument()

  Returns the current document.

### newNode

    protected abstract org.w3c.dom.Node newNode()

  Returns a new uninitialized instance of this object's class.

### export

    protected org.w3c.dom.Node export(org.w3c.dom.Node n,
                                      AbstractDocument d)

  Exports this node to the given document.

### deepExport

    protected org.w3c.dom.Node deepExport(org.w3c.dom.Node n,
                                          AbstractDocument d)

  Deeply exports this node to the given document.

### copyInto

    protected org.w3c.dom.Node copyInto(org.w3c.dom.Node n)

  Copy the fields of the current node into the given node.

  Parameters:
    `n` - a node of the type of this.

### deepCopyInto

    protected org.w3c.dom.Node deepCopyInto(org.w3c.dom.Node n)

  Deeply copy the fields of the current node into the given node.

  Parameters:
    `n` - a node of the type of this.

### checkChildType

    protected void checkChildType(org.w3c.dom.Node n,
                                  boolean replace)

  Checks the validity of a node to be inserted.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.